Name:          glu
Epoch:         1
Version:       9.0.1
Release:       1mamba
Summary:       Utility library for the Mesa implementation of the OpenGL 3-D graphics library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.mesa3d.org/
Source:        ftp://ftp.freedesktop.org/pub/mesa/glu/glu-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libstdc++6-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
Requires:      libGLU = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Utility library for the Mesa implementation of the OpenGL 3-D graphics library.

%package -n libGLU
Group:         System/Libraries
Summary:       Utility library for the Mesa implementation of the OpenGL 3-D graphics library

%description -n libGLU
Utility library for the Mesa implementation of the OpenGL 3-D graphics library.

%package -n libGLU-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libGLU = %{?epoch:%epoch:}%{version}-%{release}

%description -n libGLU-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n libGLU-static
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libGLU-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n libGLU-static
This package contains static libraries files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libGLU -p /sbin/ldconfig
%postun -n libGLU -p /sbin/ldconfig

%files -n libGLU
%defattr(-,root,root)
%{_libdir}/libGLU.so.*

%files -n libGLU-devel
%defattr(-,root,root)
%{_includedir}/GL/glu.h
%{_includedir}/GL/glu_mangle.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc

%files -n libGLU-static
%defattr(-,root,root)
%{_libdir}/libGLU.a
%{_libdir}/libGLU.la

%changelog
* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.1-1mamba
- update to 9.0.1

* Wed Oct 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.0-2mamba
- bump epoch up to allow the upgrade of previous libGLU from Mesa

* Wed Oct 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.0-1mamba
- package created by autospec
